Subject: Re: bug#20915: 25.0.50; [js-mode] electric annoyances

From: Dmitry Gutov <[email-masked]>
Date: Mon, 29 Jun 2015 17:05:53 +0300

On 06/29/2015 04:18 PM, Stefan Monnier wrote:

> FWIW, given the first two lines, the third line's indentation is wrong.
> Whether the first two lines where auto-indented or manually indented
> does not matter in this regard (IMNSHO).

Not according to the current algorithm (which is based on (nth 1 
parse-status)).

Fixing that might require a rewrite on top of e.g. SMIE. Although that 
might be the point you're making.